package com.njcn.supervision.service.device;

import com.baomidou.mybatisplus.extension.plugins.pagination.Page;
import com.njcn.bpm.pojo.param.instance.BpmProcessInstanceCancelParam;
import com.njcn.bpm.service.IBpmService;
import com.njcn.supervision.pojo.param.device.SupervisionTempLineDebugParam;
import com.njcn.supervision.pojo.po.device.SupervisionTempLineDebugPO;
import com.njcn.supervision.pojo.vo.device.SupervisionTempLineDebugVO;

import java.util.List;

/**
 * Description:
 * Date: 2024/5/17  15:26【需求编号】
 *
 * @author clam
 * @version V1.0.0
 */
public interface SupervisionTempLineDebugPOService extends IBpmService<SupervisionTempLineDebugPO> {


    String addTempLineDebug(SupervisionTempLineDebugParam supervisionTempLineReportParam);

    String updateTempLineDebug(SupervisionTempLineDebugParam.SupervisionTempLineDebugUpdateParam supervisionTempLineReportParam);

    Page<SupervisionTempLineDebugVO> getTempLineDeug(SupervisionTempLineDebugParam.SupervisionTempLineDebugQuery supervisionTempLineDebugQuery);

    Page<SupervisionTempLineDebugVO> pageHasDebug(SupervisionTempLineDebugParam.SupervisionTempLineDebugQuery supervisionTempLineDebugQuery);

    SupervisionTempLineDebugVO getDetailTempLineDebug(String id);

    String ledgerSync(String id);

    String cancel(BpmProcessInstanceCancelParam cancelReqVO);

    Boolean deleteTempLineDebugReport(List<String> supervisionId);
}
